# eric3.KdeQt.__init__

Package implementing compatibility modules for using KDE dialogs instead og Qt dialogs.

The different modules try to import the KDE dialogs and implement interfaces, that are compatible with the standard Qt dialog APIs. If the import fails, the modules fall back to the standard Qt dialogs.

In order for this package to work PyKDE must be installed (see http://www.riverbankcomputing.co.uk/pykde.

### Classes

None

### Functions

isKDE | Public function to signal the availability of KDE.
isKDE | Public function to signal the availability of KDE.
kdeVersionString | Public function to return the KDE version as a string.
kdeVersionString | Public function to return the KDE version as a string.
pyKdeVersionString | Public function to return the PyKDE version as a string.
pyKdeVersionString | Public function to return the PyKDE version as a string.

## isKDE

isKDE()

Public function to signal the availability of KDE.

Returns:
  availability flag (always 1)

Up

## isKDE

isKDE()

Public function to signal the availability of KDE.

Returns:
  availability flag (always 0)

Up

## kdeVersionString

kdeVersionString()

Public function to return the KDE version as a string.

Returns:
  KDE version as a string (QString)

Up

## kdeVersionString

kdeVersionString()

Public function to return the KDE version as a string.

Returns:
  KDE version as a string (QString) (always empty)

Up

## pyKdeVersionString

pyKdeVersionString()

Public function to return the PyKDE version as a string.

Returns:
  PyKDE version as a string (QString)

Up

## pyKdeVersionString

pyKdeVersionString()

Public function to return the PyKDE version as a string.

Returns:
  PyKDE version as a string (QString) (always empty)

Up